Subject: B20 Problems...
From: [email-masked] (Raj Menon)

13 Nov 1998 09:42:04 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 8bit
To: [email-masked]

I just finished porting tcsh-6.08.00 to B20.  I am experiencing some strange
problems with it.  At first I thought that I messed up, so I grabbed Sergey's
tcsh-6.06 port and built that under B20.  I get the same results with it also.
Here is what I see:

- If I use NT-Explorer and double click on the tcsh.exe icon, things with fine.
- If I start bash via START->Programs->Cygnus Solutions->Cygwin B20, and
   then run tcsh.exe from it, the prompts disappear from tcsh, and if I run any
   tcsh builtin command (like set, printenv etc), tcsh exits.  Running any external
   command like ls, pwd etc. works fine and the output gets printed on the screen,
   but still no prompts.
- If I run tcsh in either of the following ways: "xterm -e /usr/local/bin/tcsh.exe",
   "rxvt.exe -e /usr/local/bin/tcsh.exe", I get the same behavior as running
   it from bash.
- If I run tcsh from tcsh, again things don't work.
- I tried to debug things to figure out what is going on, but everything works
   fine from gdb.  I even tried running gdb in severla different ways (from bash, from
   tcsh, from rxvt, from NTEmacs, from XEmacs).

Anyone have ideas?  It is almost seems like there is a bug in the TTY handling.
Is there anyway I can debug this?  I am willing to help, but when gdb doesn't work,
I am at a loss what else to try.  I guess I could stick a bunch of printf's in the code,
but I would like to keep that as a last resort.

Other than that, I have every else that I want ported and working on NT.
X11R6.4 builds fine with Sergey's Patches.
XPM 3.4g builds out of the box.
FVWM2 2.0.42 build out of the box (once XPM is installed).
RXVT 2.4.5 with Sergey's patch (even though the patch is for a different
   release).
Termcap 1.3 builds out of the box.
XEmacs 21.2-b3 builds right out of the box (works well with termcap and XPM).
TCSH-6.08 needed a lot of work as there is a bunch of stuff imported to build
   under NT and VC++ that needs to be fixed.

My System Information:

PII 300, 96 Megs DRAM, 1 Gig free hard disk space.
WinNT 4.0 SP3.
Sergey's patched cygwin1.dll (uname -r -> 20.0 (0.1/1/1), uname -v -> -11-8 11:59:08).

-raj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".